import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path:'/',
      name:'app',
      component:()=>import('../App.vue')
    },
    {
      path:'/Manager',
      name:'Manager',
      component:()=>import('../Manager/Manager.vue'),
      children:[
        {
          path:'/Manager/Main',
          component:() =>import('@/Manager/components/Main.vue')
        },
          {
        path:'/Manager/User',
        component:() =>import('@/Manager/components/User.vue')
      },
        {
          path:'/Manager/Role',
          component:() =>import('@/Manager/components/Role.vue')
        },
        {
          path:'/Manager/Authority',
          component:() =>import('@/Manager/components/Authority.vue')
        },
        {
          path:'/Manager/Log',
          component:() =>import('@/Manager/components/Log.vue')
        },
        {
          path:'/Manager/Daily',
          component:() =>import('@/Manager/components/Daily.vue')
        },
        {
          path:'/Manager/Message',
          component:() =>import('@/Manager/components/Message.vue')
        },
        {
          path:'/Manager/Carousel',
          component:() =>import('@/Manager/components/Carousel.vue')
        } ,{
          path:'/Manager/TeamProfile',
          component:() =>import('@/Manager/components/TeamProfile.vue')
        },{
          path:'/Manager/ProjectRecommend',
          component:() =>import('@/Manager/components/ProjectRecommend.vue')
        },{
          path:'/Manager/NewsDisplay',
          component:() =>import('@/Manager/components/NewsDisplay.vue')
        },{
          path:'/Manager/UserRecommend',
          component:() =>import('@/Manager/components/UserRecommend.vue')
        },{
          path:'/Manager/ProjectInformation',
          component:() =>import('@/Manager/components/ProjectInformation.vue')
        },{
          path:'/Manager/TeamInformation',
          component:() =>import('@/Manager/components/TeamInformation.vue')
        },{
          path:'/Manager/NewsInformation',
          component:() =>import('@/Manager/components/NewsInformation.vue')
        }
      ]
    }
  ]
})

export default router
